BANK WOORI SAUDARA - Bug #1865

[HR-Recruitment Management] Applicant Master Data - Personal Statement

12/13/2022 11:33 AM - Johanes Christian Kurni

Status: Closed Start date: 12/13/2022
Priority: High Due date: 12/14/2022
Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 6.00 hours
Description

Dear Azid,

remote.minovais.com:

= My Workplace Business Intelligence Human Resource System Administration
Full Name: Azid
Applicant Status In Process
Applicant Type: Fresh Graduate
@ My Workplace
Wil Business Intelligence
Profile Hasil Interview Slik Checking Hasil Psikotest

Start Date:
I Organization Management End Date:
Hobbies
Applicant Movement Tinggi Badan:

Berat Badan
E-Recruitment )

Rumah Tempat Tinggal:
Recruitment Report

Apakah Memiliki Kenalan:
B Employee Administration

Kategori Keluarga /

B Time Management Teman:

B Travel Management

NamaKeluarga
I Benefit Administration Moda Transportas|
I Payroll Administration

I Payroll Accounting

B LD Qheatanie

Medical Test

Q

Search

Help M Jo -

Organization:

Job

Data Paket Remun [EEelhEIRSEEyLY

Data Kelengkapan

Pernah Mengikuti
Seleksi

Pernah Menderita Sakit:

Sakit Apa:

Alasan Bergabung:

Dimana Bila Tidak
Bersedia:

Notes:

1. Jika field "Memiliki Kenalan" dipilih "Ya" maka field "Kategori Keluarga / Teman" wajib diisi. Sebaliknya juga begitu jika pilih "Tidak"

maka tidak wajib diisi.

2. Jika filed "Pernah Mederita Sakit" dipilih "Ya" maka field "Sakit Apa" wajib diisi. Sebaliknya juga begitu jika pilih "Tidak" maka tidak

wajib diisi.

3. Jika field "Bersedia Ditempatkan Diseluruh Kantor BWS" dipilih "Tidak" maka field "Dimana Bila Tidak Bersedia" wajib diisi.

Sebaliknya juga begitu jika pilih "Ya" maka tidak wajib diisi.

Port: http://remote.minovais.com:31118/
Server: remote.minovais.com, 1438\MSSQLSERVER2012
DB: MinovaES_BWS_Dev

Menu: HR > Employee Recruitment Management > Applicant Master Data > Personal Statement

Terima Kasih.

History

#1 - 12/13/2022 11:39 AM - Johanes Christian Kurni

- Description updated

#2 - 12/13/2022 11:41 AM - Johanes Christian Kurni

- Description updated

#3 - 12/14/2022 05:08 PM - M Azid Wahyudi
- File mdgenerator.js added

- Status changed from Assigned to QA Test
http://remote.minovais.com:31118/

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo , udah bisa di test ya
package : C:\ClientApp\2208 Bank Woori Saudara\Ul\scripts\mdgenerator.js

Ext.create('Ext.form.Panel’, {

renderTo: renderTo,

name: name + tableName,

formMD: tableName,

act: null,

items: [{

xtype: 'minovaForm’,

name: name,

tableName: tableName,

margin:'0 0 10 0/,

isDisplay: isDisplay,

/Ihidden:true

buttons: [{

text: 'Save',

hidden: save,

act: act,

//margin: '0 3 15 0', //(top, right, bottom, left).

name: 'btnSaveMD',

iconCls: 'fa-save',

style: 'font-family: FontAwesome',

handler: function () {

var p_ = Ext.ComponentQuery.query('[name=Main]")[0];
/lp_.mask('Loading...");

var frm = Ext.ComponentQuery.query('[name=MinovaGridFormEdit' + tableName + 'T')[0];
var grid_ = Ext.ComponentQuery.query('[gridMD=" + tableName + ']')[0];
/[frm.mask('loading..");

var panelint = Ext. ComponentQuery.query('[name=PanelMdDetail]')[0];
if (panelint) {

panelint.mask('Loading..");

}

var valForm =";

if (frm.getForm().isValid()) {

valForm = 1;

}else {

valForm = 0;

}

if (grid_.tableName 'PHRRCO0052'") {
if (frm.getForm() .monitor.items.items[6].getValue () g 09 g
if (frm.getForm() .monitor.items.items[7].getValue() == undefined) {
valForm = 0;
}
}
if (frm.getForm() .monitor.items.items[15].getValue () 1Y) |
if (frm.getForm() .monitor.items.items[16].getValue () DUH ]
valForm = 0;
}
}

if (frm.getForm() .monitor.items.items[18].getValue () '1') |
if (frm.getForm() .monitor.items.items[19].getValue () ') |
valForm = 0;
}
}
}
if (valForm == 1) {

Ext.Ajax.request ({
method: 'POST',
//async: false,
url: '/Devt/SaveTable',

params: {
tableName: tableName,
data: Ext.encode (frm.getValues()),

action: frm.act,

by

waitMsg: 'Saving Data...',

success: function (response) {
var result = Ext.decode (response.responseText);
if (result.success) {
MinovaMessage ('Not Null', '000006', '', 'S");

var menu =

var s =

Ext.Ajax.request ({

async:
method:

url:

Ext.ComponentQuery.query (' [name =
menu.getStore () ;

false,
'POST',
'/UserControl/GetStore',

params: {

ND Language='" + getParam("Lang") +

o

success:

1)

tableName: ' PDSPA0013 ',

param:

function (response) {
var results =
var data_ = results.data;
s.loadData (results.data);

//s.reload()

Ext.decode (response.responseText) ;

frm.setHidden (true) ;

grid_.getStore() .reload();

grid_.setHidden (false);
var p = Ext.ComponentQuery.query (' [name =
p.setHeight (500) ;

if
var

Param('ApplicantID"')

bi

var results = null;

Ext

1)
}

(getParam('ApplicantID') !=

'null') {
_param = {
serviceName: 'ERecruitmentAuthentication.asmx',
'SendMailChangeMD',

'TableName=' + tableName +

methodName:
parameter:

.Ajax.request ({

method:
type:
params:
url: '/InvokeService/Invoke/',
loadMask: {

msg:

'post',
'ajax',
_param,

'please wait...'
}I

success: function (response) {}

frm.destroy () ;

} else {

//MinovaMessage (' Not Null ', ' 000005 ',

result.message.text,

'B');

//l=error 2=warning 4=confirm

var msgType =

if

ult.message.Id)

} else {

MinovaMessage ('

E');

failure:
pnl.unmask ()

var

function

result =

result.message.type;

(msgType == 4) {
mdConfirm(tableName,

Ext.encode (frm.getValues()),

Not Null ', ' 000005 ',

(response) {

Ext.decode (response.responseText) ;

console.log(result);

} else {
var param_ =
if (grid_.tableName
cekMandatoryIsNull (tableName) ;

'PHRRC0052"'

"ModuleType='" + MinovaUtil.GetModuleType () +

'¢EmployeeID="
gridMenuMD] ') [0];

PanelMdDetail] ') [O];

frm.act,

+ get

res

result.message.text,

&& frm.getForm() .monitor.items.items[6].getVa



lue () '1'" && (frm.getForm() .monitor.items.items[7].getValue() undefined)) {
MinovaMessage (' Not Null ', ' 000012 ', '', 'E');
} else if (grid_.tableName 'PHRRCO0052' && frm.getForm().monitor.items.items[1
5] .getValue () '1'" && (frm.getForm() .monitor.items.items[16].getValue () U)o
MinovaMessage (' Not Null ', ' 000013 ', '', 'E'");
} else if (grid_.tableName 'PHRRC0052' && frm.getForm().monitor.items.items[1
8] .getValue () '1'" && (frm.getForm() .monitor.items.items[19].getValue() == "'')) {
MinovaMessage (' Not Null ', ' 000014 ', '', 'E'");
} else if (param_ != "") {
MinovaMessage (' Not Null ', ' 000009 ', param_, 'E');

} else {
// ada field yang error
var error_ = getErrorFields (tableName) ;
if (error_ != "' ') {
MinovaMessage (' title ', ' 000005 ', error_, 'E');

}

//frm.unmask () ;

if (panellInt) {
panellInt.unmask () ;

makasih

#4 - 12/15/2022 10:37 AM - Johanes Christian Kurni

- Status changed from QA Test to Revise

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi

Di point nomer 3 masih belum sesuai, mohon untuk di baca redmain nya lagi
Terima Kasih.

#5 - 12/15/2022 10:39 AM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo , coba test lagi

makasih

#6 - 12/15/2022 11:10 AM - Johanes Christian Kurni
- Status changed from QA Test to Closed

#7 - 03/24/2023 09:06 AM - Johanes Christian Kurni
- Status changed from Closed to Assigned

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi

Azid, ada penambahan sebagai berikut

1. Field "Apakah Memiliki Kenalan" Di pilih "Tidak" maka kategori "Nama Keluarga" Tidak tidak perlu di isi
2. Field "Bersedia Ditempatkan Diseluruh Kantor BWS" dipilih "Ya" maka field "Dimana Bila Tidak Bersedia" tidak perlu diisi

Terima Kasih.

#8 - 03/24/2023 09:12 AM - Johanes Christian Kurni
- Status changed from Assigned to Closed

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

Files

clipboard-202212131118-0lhh5.png 108 KB 12/13/2022 Johanes Christian Kurni
mdgenerator.js 156 KB 12/14/2022 M Azid Wahyudi
